document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_4300 | ---
+++
@@ -6,7 +6,7 @@
COMPLETION_WAITING_DOTS="true"
# Which plugins would you like to load? (plugins can be found in ~/.oh-my-zsh/plugins/*)
-plugins=(colored-man code-dir command-not-found history-substring-search vi-mode web-search z)
+plugins=(colored-man code-dir command-not-found history-substring-search ... | bash |
d_bash_4301 | ---
+++
@@ -1,6 +1,28 @@
#!/bin/bash
+
+# save the version number that is about to be commited
+FUTURE_VERSION=""
+while read LINE
+do
+ if [[ "$LINE" == *"<version>"* ]]; then
+ #echo "$LINE" # prints <version>the_version-SNAPSHOT</version>
+ FUTURE_VERSION=`echo $LINE | awk '{split($0,a,"-"); print a[1]}'` # re... | bash |
d_bash_4302 | ---
+++
@@ -4,6 +4,9 @@
PSQL_OPTS="-h ${DB_PORT_5432_TCP_ADDR} -U postgres"
-./create_postgresql_database ${PSQL_OPTS}
-./make_postgresql_tables ${PSQL_OPTS}
-./grant_postgresql_privileges ${PSQL_OPTS}
+export PGPASSWORD=${DB_ENV_POSTGRES_PASSWORD}
+
+createuser ${PSQL_OPTS} -d -R bacula
+./create_bacula_databas... | bash |
d_bash_4303 | ---
+++
@@ -6,9 +6,13 @@
### Configuration for Docker
if [ -e /var/run/docker.sock ]; then
- docker_gid=$(stat -c %g /var/run/docker.sock)
- groupadd -g $docker_gid docker
- gpasswd -a $USER docker
+ docker_group_name=$(stat -c %G /var/run/docker.sock)
+ if [ "$docker_group_name" = "UNKNOWN" ]; the... | bash |
d_bash_4304 | ---
+++
@@ -20,13 +20,13 @@
libpng12-dev \
libffi-dev
-# get libflac 1.3.1, build and install
+# get libflac, build and install
wget http://downloads.xiph.org/releases/flac/flac-1.3.1.tar.xz
tar xf flac-1.3.1.tar.xz
cd flac-1.3.1
./configure && make && make install
cd ..
-# get libsndfile 1.0.26, build and... | bash |
d_bash_4305 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
versionFile="../../version_$(git branch | sed -n -e 's/^\* \(.*\)/\1/p').properties"
-cp "$versionFile" '../../build/resources/main/version.properties'
+cp "$versionFile" '../../build/resources/main/version.properties' || true | bash |
d_bash_4306 | ---
+++
@@ -1,15 +1,15 @@
WORK_DIR=`pwd`
+HTML_DIR="$WORK_DIR"
-# If we're running in dexy, take us to the project top-level.
-if [[ "$WORK_DIR" == *.dexy* ]]
+if [[ ! -z "$DEXY_ROOT" ]]
then
- until [ "$(basename $WORK_DIR)" == ".dexy" ]
+ cd $DEXY_ROOT
+
+ until [ "$(basename $HTML_DIR)" == "docs" ]
do
- ... | bash |
d_bash_4307 | ---
+++
@@ -1,6 +1,8 @@
#cmd line tools
brew install redis
brew install wget
+python
+python3
#install cask
brew install caskroom/cask/brew-cask | bash |
d_bash_4308 | ---
+++
@@ -4,4 +4,4 @@
echo "$GIT_SHA" > static/revision.txt
-gunicorn careers.wsgi:application -b 0.0.0.0:${PORT:-8000} --log-file - --worker-class=${GUNICORN_WORKER_CLASS:-"meinheld.gmeinheld.MeinheldWorker"}
+gunicorn careers.wsgi:application -b 0.0.0.0:${PORT:-8000} --log-file - --worker-class=${GUNICORN_WO... | bash |
d_bash_4309 | ---
+++
@@ -2,7 +2,7 @@
# Note to self: Travis project root is /home/travis/build/<repo>
# e.g. /home/travis/build/webignition/simplytestable-travis-integration
# Install SimplyTestable core application
-mkdir ~/simplytestable/app.simplytestable.com && cd ~/simplytestable/app.simplytestable.com
+mkdir ~/simplytes... | bash |
d_bash_4310 | ---
+++
@@ -12,7 +12,7 @@
go build -v -o bin/packer .
# Go over each plugin and build it
-for PLUGIN in $(find ./plugin -type d -mindepth 1 -maxdepth 1); do
+for PLUGIN in $(find ./plugin -mindepth 1 -maxdepth 1 -type d); do
PLUGIN_NAME=$(basename ${PLUGIN})
echo "${OK_COLOR}--> Compiling Plugin: ${PLUG... | bash |
d_bash_4311 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-VERSION=0.4.8
+VERSION=0.4.9
TMPDIR=/tmp/google-api-php-client
RELFILE=/tmp/google-api-php-client-${VERSION}.tar.gz
| bash |
d_bash_4312 | ---
+++
@@ -16,9 +16,9 @@
git add a.dat
# Git assumes that identical results from `stat(1)` between the index and
- # working copy are stat dirty. To prevent this, wait at least two seconds to
+ # working copy are stat dirty. To prevent this, wait at least one second to
# yield different `stat(1)` result... | bash |
d_bash_4313 | ---
+++
@@ -7,4 +7,4 @@
JAVA_EXEC=%JAVA_EXEC%
FILEBOT_HOME=%FILEBOT_HOME%
-$JAVA_EXEC -Dunixfs=false -DuseExtendedFileAttributes=true -DuseCreationDate=false -Dfile.encoding=UTF-8 -Dsun.net.client.defaultConnectTimeout=40000 -Dsun.net.client.defaultReadTimeout=120000 -Dapplication.deployment=ipkg -Duser.home=$FIL... | bash |
d_bash_4314 | ---
+++
@@ -28,5 +28,5 @@
0) ./gradlew --profile --continue check $CONTAINER_0_EXCLUDE_ARGS ;;
1) ./gradlew --continue --parallel ${CONTAINER_1[@]} ;;
2) ./gradlew --continue --parallel ${CONTAINER_2[@]} ;;
- 3) ./gradlew --continue ${CONTAINER_3[@]} && checkDocsBuild ;;
+ 3) ./gradlew --profile ... | bash |
d_bash_4315 | ---
+++
@@ -36,7 +36,7 @@
JENKINS_BUILD_SMS_TEMPLATE_ID
NOTIFY_RESEARCH_SERVICE_NAME
NOTIFY_RESEARCH_EMAIL_REPLY_TO
- NOTIFY_RESEARCH_SMS_SENDER
+ NOTIFY_RESEARCH_SERVICE_EMAIL_AUTH_ACCOUNT
)
for env_var in "${env_vars[@]}"; do | bash |
d_bash_4316 | ---
+++
@@ -38,6 +38,7 @@
apm install project-manager
apm install emmet
apm install rails-snippets
+apm install atom-tachyons
# Copy over atom config
cp .atom_config ~/.atom/config.cson | bash |
d_bash_4317 | ---
+++
@@ -14,6 +14,6 @@
done
bundle exec rake db:mongoid:drop
-bundle exec rake
+bundle exec rake ci:setup:testunit test
RESULT=$?
exit $RESULT | bash |
d_bash_4318 | ---
+++
@@ -3,8 +3,7 @@
echo "Checking if volume is locked."
if [ "`diskutil cs list | grep Locked`" ]
then
- PASSWORD=`security 2>&1 >/dev/null find -gs name.ridgewell.unlock "/Library/Keychains/System.keychain" \
- | ruby -e 'print $1 if STDIN.gets =~ /^password: "(.*)"$/'`
+ PASSWORD=`security 2>&1 >/dev/n... | bash |
d_bash_4319 | ---
+++
@@ -5,6 +5,7 @@
--exclude={.project,.cproject} \
--exclude={*Makefile*,*makefile*} \
--exclude=.gitmodules \
+ --exclude=DTK_Fortran_wrap.cpp \
--exclude-dir=data \
--regexp '[[:blank:]]$' \
--regexp $'\t' \ | bash |
d_bash_4320 | ---
+++
@@ -8,7 +8,7 @@
# The rest of my fun git aliases
alias gl='git pull --prune'
-alias glog="git log --graph --pretty=format:'%Cred%h%Creset %C(bold blue)%an:%Creset %s -%Creset%C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
+alias glog="git log --graph --pretty=format:'%Cred%h%Cres... | bash |
d_bash_4321 | ---
+++
@@ -8,7 +8,7 @@
do
cd $d
# Try --offline in case astropy-helpers bootstrap conflicts with conda's shutdown of downloads.
- python setup.py bdist_conda || python setup.py bdist_conda --offline || echo "Failed on $PWD"
+ python setup.py bdist_conda || echo "Failed on $PWD"
... | bash |
d_bash_4322 | ---
+++
@@ -19,7 +19,7 @@
# details.
##===----------------------------------------------------------------------===##
-TOPDIR=`pwd | sed -e 's#\(.*/llvm\).*#\1#'`
+TOPDIR=`llvm-config --src-root`
if test -d "$TOPDIR" ; then
cd $TOPDIR
./utils/llvmdo -dirs "include lib tools test utils examples" wc -l | awk... | bash |
d_bash_4323 | ---
+++
@@ -4,7 +4,7 @@
setup_vim() {
destination=~/.vim/bundle/Vundle.vim
if [ ! -d "$destination" ] ; then
- git clone https://github.com/tmux-plugins/tpm $destination
+ git clone https://github.com/VundleVim/Vundle.vim.git $destination
fi
cp $cp_options vimrc ~/.vimrc
} | bash |
d_bash_4324 | ---
+++
@@ -28,8 +28,10 @@
# Specify custom dotfiles ZSH completion path
fpath=(~/.config/zsh/completion $fpath)
# Activate zsh completions engine
-autoload -Uz compinit
-compinit
+autoload bashcompinit && bashcompinit
+autoload -Uz compinit && compinit
+
+complete -C '/apollo/env/AmazonAwsCli/bin/aws_completer' a... | bash |
d_bash_4325 | ---
+++
@@ -1,7 +1,11 @@
#!/bin/bash -e
-if [ ! -f /opt/graphite/storage/graphite_db_migrated_to_1.4 ]; then
- cp /opt/graphite/storage/graphite.db /opt/graphite/storage/graphite.db.backup-`date +%Y%m%d_%H%M%S`
- PYTHONPATH=/opt/graphite/webapp django-admin.py syncdb --noinput --no-initial-data --settings=gr... | bash |
d_bash_4326 | ---
+++
@@ -1,3 +1,4 @@
+name="$(echo "$1" | tr -d '\n')"
if hash tmux 2>/dev/null; then
- tmux a -t "$1" || exec tmux new -s "$1" && exit
+ tmux a -t "$name" || exec tmux new -s "$name" && exit
fi | bash |
d_bash_4327 | ---
+++
@@ -3,7 +3,7 @@
# Personal preferences
rc() {
- nano ${ZSH_CUSTOM}/$1.zsh
+ ${EDITOR:-vim} ${ZSH_CUSTOM}/$1.zsh
}
alias rezsh='for f in ${ZSH_CUSTOM}/*.zsh; do echo "Loading ${f}"; source ${f}; done'
lzsh() { | bash |
d_bash_4328 | ---
+++
@@ -4,7 +4,8 @@
# Use default environment vars for localhost if not already set
export DM_API_URL=${DM_API_URL:=http://localhost:5000}
export DM_ADMIN_FRONTEND_API_AUTH_TOKEN=${DM_ADMIN_FRONTEND_API_AUTH_TOKEN:=myToken}
-export DM_ADMIN_FRONTEND_PASSWORD_HASH=${DM_ADMIN_FRONTEND_PASSWORD_HASH:=myHash}
+# D... | bash |
d_bash_4329 | ---
+++
@@ -7,7 +7,7 @@
echo Fetching Consul UI
cd /tmp/
-wget https://releases.hashicorp.com/consul/0.6.0/consul_0.6.0_web_ui.zip -O consul-ui.zip
+wget https://releases.hashicorp.com/consul/0.8.1/consul_0.8.1_web_ui.zip -O consul-ui.zip
echo Installing UI
mkdir /home/vagrant/ui | bash |
d_bash_4330 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
curl https://raw.githubusercontent.com/creationix/nvm/v0.23.0/install.sh | bash
+echo "[[ -s $HOME/.nvm/nvm.sh ]] && source $HOME/.nvm/nvm.sh" >> ~/.profile
. ~/.nvm/nvm.sh
nvm install v0.10.37
nvm alias default v0.10.37 | bash |
d_bash_4331 | ---
+++
@@ -1,2 +1,2 @@
# This fixes a known bug in Bats (https://github.com/sstephenson/bats/issues/140#issuecomment-206756745)
-sudo sed -i "20s/.*/ _count=\$(bats-exec-test -c \"\$filename\"); : \"\$(( count+=_count ))\"/" /usr/lib/bats/bats-exec-suite
+sudo sed -i "20s/.*/ _count=\$(bats-exec-test -c \"\$filen... | bash |
d_bash_4332 | ---
+++
@@ -8,8 +8,8 @@
. ${srcdir}/../test_common.sh
function test_cpe() {
- $OSCAP oval validate --schematron ${srcdir}/../../cpe/openscap-cpe-oval.xml
- $OSCAP cpe validate ${srcdir}/../../cpe/openscap-cpe-dict.xml
+ $OSCAP oval validate --schematron ${top_srcdir}/cpe/openscap-cpe-oval.xml
+ $OSCAP... | bash |
d_bash_4333 | ---
+++
@@ -13,4 +13,4 @@
mkdir -p artefacts
cd output
-zip -r ../artefacts/service-explorer-$BUILD_ID.zip .
+tar -zxvf ../artefacts/service-explorer-$BUILD_ID.tgz . | bash |
d_bash_4334 | ---
+++
@@ -6,6 +6,14 @@
NAME="@@NAME@@"
VSCODE_PATH="$(dirname "$(dirname "$(realpath "$0")")")"
ELECTRON="$VSCODE_PATH/$NAME.exe"
+if grep -q Microsoft /proc/version; then
+ # If running under WSL don't pass cli.js to Electron as environment vars
+ # cannot be transferred from WSL to Windows
+ # See: https://git... | bash |
d_bash_4335 | ---
+++
@@ -33,6 +33,11 @@
installFlag="--production"
fi
+pushd ${gitroot}/src/app/${target}
+ echo "Running install on ${target}"
+ yarn install ${installFlag}
+popd
+
# Special case for UI in release mode: run compile-client
if [[ "${target}" == "UI" && "${mode}" == "rel" ]]; then
echo "Running UI comp... | bash |
d_bash_4336 | ---
+++
@@ -22,6 +22,7 @@
update_keywords 'dev-python/ssl-fetch' '+~amd64'
emerge sys-devel/crossdev dev-vcs/git app-portage/layman sys-devel/distcc
# setup layman
+ sed -i 's/^check_official : Yes/check_official : No/g' /etc/layman/layman.cfg # no pesky prompts please
layman -L
}
| bash |
d_bash_4337 | ---
+++
@@ -10,7 +10,7 @@
cd tidy-build
cmake --target Cuberite -DCMAKE_EXPORT_COMPILE_COMMANDS=ON ..
-if run-clang-tidy.py $ARGS; then
+if run-clang-tidy $ARGS; then
echo "clang-tidy: No violations found"
else
echo "clang-tidy: Found violations" | bash |
d_bash_4338 | ---
+++
@@ -17,6 +17,8 @@
pip install https://github.com/networkx/networkx/archive/networkx-1.8.tar.gz
fi
+pip install $WHEELHOUSE numpy
+pip install tifffile
pip install -r requirements.txt $WHEELHOUSE
python check_bento_build.py
| bash |
d_bash_4339 | ---
+++
@@ -1,8 +1,7 @@
-#!/usr/bin/env sh
+#!/bin/bash
+set -ev
# upload code coverage after travis build only when version
-PHP_VERSION=$(php -r "echo phpversion();" | cut -c1-3)
-echo ${PHP_VERSION}
-if [ "${PHP_VERSION}" = "5.6" ]; then
+if [ "${TRAVIS_PHP_VERSION}" = "5.6" ]; then
wget https://scrutinizer... | bash |
d_bash_4340 | ---
+++
@@ -14,7 +14,7 @@
cd "$(dirname "${0}")"
# Remove current plugins
-rm -f *${PLUGEXT}
+rm -f -- *${PLUGEXT}
# Copy plugins from Firefox's user profile directory
find "${FXPROFILE}" -type f -iname "*${PLUGEXT}" -ipath "*/searchplugins/*" -exec cp {} . \; | bash |
d_bash_4341 | ---
+++
@@ -17,8 +17,15 @@
alias xcp='xcode-select --print-path'
alias xcdd='rm -rf ~/Library/Developer/Xcode/DerivedData/*'
-if [[ -d $(xcode-select -p)/Platforms/iPhoneSimulator.platform/Developer/Applications/iPhone\ Simulator.app ]]; then
- alias simulator='open $(xcode-select -p)/Platforms/iPhoneSimulator.p... | bash |
d_bash_4342 | ---
+++
@@ -29,7 +29,7 @@
cd ../matrix-react-sdk
# run end to end tests
pushd test/end-to-end-tests
-ln -s ../riot-web riot/riot-web
+ln -s ../../../riot-web riot/riot-web
# PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true ./install.sh
# CHROME_PATH=$(which google-chrome-stable) ./run.sh
echo "--- Install synapse & other ... | bash |
d_bash_4343 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/sh
OS_VERSION=$1
+
+# Clean the yum cache
+yum -y clean all
ls -l /home
| bash |
d_bash_4344 | ---
+++
@@ -8,11 +8,11 @@
sudo apt-get install postgresql-$PGVERSION solr-jetty libcommons-fileupload-java:amd64=1.2.2-1
echo "Installing CKAN and its Python dependencies..."
-git clone https://github.com/ckan/ckan
+git clone https://github.com/aptivate/ckan
cd ckan
-export latest_ckan_release_branch=`git branch... | bash |
d_bash_4345 | ---
+++
@@ -1,7 +1,16 @@
#/bin/sh
-zip Branch-iOS-SDK.zip Branch-SDK/ Branch.framework/
-zip Branch-iOS-TestBed.zip Branch-SDK/ Branch-TestBed/ Branch.framework/
+echo 'Zipping Branch-iOS-SDK'
+zip -rqy Branch-iOS-SDK.zip Branch-SDK/ Branch.framework/
-aws s3 cp Branch-iOS-SDK.zip s3://branchhost/
-aws s3 cp Bra... | bash |
d_bash_4346 | ---
+++
@@ -15,5 +15,5 @@
export VISION_DB_HOST="$DEX_DB_HOST"
export VISION_DB_USER="$DEX_DB_USER"
export VISION_DB_PASSWORD="$DEX_DB_PASSWORD"
-export VISION_DB_DATABASE=visibility_dev
-export VISION_DB_PORT=5432
+export VISION_DB_DATABASE=vision_dev
+export VISION_DB_PORT=5433 | bash |
d_bash_4347 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright (c) 2010 The Chromium Authors. All rights reserved.
+# Copyright (c) 2011 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
@@ -19,7 +19,7 @@
depot_tools_error
f... | bash |
d_bash_4348 | ---
+++
@@ -5,7 +5,13 @@
GHCFLAGS='--make -Wall -fno-warn-unused-matches -cpp'
ISPOSIX=-DHAVE_UNIX_PACKAGE
-rm moduleTest
+rm -f moduleTest
mkdir -p dist/debug
-$HC $GHCFLAGS $ISPOSIX -DDEBUG -odir dist/debug -hidir dist/debug -idist/debug/:.:tests/HUnit-1.0/src tests/ModuleTest.hs -o moduleTest
+$HC $GHCFLAGS ... | bash |
d_bash_4349 | ---
+++
@@ -3,8 +3,7 @@
echo "i2c-bcm2708" >> /etc/modules
sed -i '/exit 0/d' /etc/rc.local
-echo "echo ds1307 0x68 > /sys/class/i2c-adapter/i2c-1/new_device" >> /etc/rc.loc
-al
+echo "echo ds1307 0x68 > /sys/class/i2c-adapter/i2c-1/new_device" >> /etc/rc.local
echo "hwclock -s" >> /etc/rc.local
echo "exit 0" >... | bash |
d_bash_4350 | ---
+++
@@ -7,7 +7,7 @@
if which uconv > /dev/null
then
- CMD="uconv -f utf8 -t utf8 -x Any-NFKC --callback skip"
+ CMD="uconv -f utf8 -t utf8 -x Any-NFKC --callback skip --remove-signature"
else
echo "Cannot find ICU uconv (http://site.icu-project.org/) ... falling back to iconv. Normalization NOT taking p... | bash |
d_bash_4351 | ---
+++
@@ -13,7 +13,7 @@
# Control will enter here if $PACKAGE doesn't exist.
#echo $PACKAGE was not installed with cask
if [ ! -n "$(find /Applications -maxdepth 1 -iname "eclipse*")" ]; then
- brew cask install eclipse
+ brew cask install eclipse-jee
fi
fi
| bash |
d_bash_4352 | ---
+++
@@ -7,7 +7,7 @@
cd python
# Run unit tests
-cd biotool/python/biotool
+cd biotool
python biotool_test -v || {
echo "'python -m unittest -v biotool' failed"
let errors+=1 | bash |
d_bash_4353 | ---
+++
@@ -12,6 +12,7 @@
exit 1
fi
+git pull
echo "#### Configuring ####"
if [ -d /usr/lib/python2.7/config ]; then | bash |
d_bash_4354 | ---
+++
@@ -3,7 +3,7 @@
# download tizen
mkdir ~/tizen-temp
cd ~/tizen-temp
-curl -L -o "tizen-install.bin" http://download.tizen.org/sdk/Installer/tizen-studio_2.3/web-cli_Tizen_Studio_2.3_ubuntu-64.bin
+curl -L -o "tizen-install.bin" http://download.tizen.org/sdk/Installer/tizen-studio_2.4/web-cli_Tizen_Studio_2... | bash |
d_bash_4355 | ---
+++
@@ -6,6 +6,7 @@
wget https://github.com/google/protobuf/releases/download/v2.6.1/protobuf-2.6.1.tar.gz;
tar -xf protobuf-2.6.1.tar.gz;
cd protobuf-2.6.1 && ./configure --prefix=$HOME/protobuf && make && make install
+ cd python && python setup.py build --cpp_implementation && python setup.py... | bash |
d_bash_4356 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-curl -XPOST -H "Content-Type: application/x-ndjson" --data-binary @data/samples/bulk.jsonl localhost:9200/idai-field/_bulk
+curl -XPOST -H "Content-Type: application/x-ndjson" --data-binary @data/samples/bulk.jsonl localhost:9200/idai-field/resource/_bulk | bash |
d_bash_4357 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-LOGGING="../../../node_modules/opentok-solutions-logging/opentok-solutions-logging.js"
+LOGGING="../../../node_modules/opentok-solutions-logging/dist/opentok-solutions-logging.js"
npm i
npm update | bash |
d_bash_4358 | ---
+++
@@ -16,7 +16,7 @@
export PY_IPFSAPI_TEST_DAEMON_PID=$!
# Wait for daemon startup
-while ! ipfs stats bw >/dev/null 2>&1;
+while ! curl "http://${PY_IPFSAPI_DEFAULT_HOST}:${PY_IPFSAPI_DEFAULT_PORT}/api/v0/stats/bw" >/dev/null 2>&1;
do
sleep 0.1
done | bash |
d_bash_4359 | ---
+++
@@ -21,5 +21,5 @@
if [ ! -d "$ABS_PATH/.vim/bundle/jedi-vim" ]; then
echo "Cloning the jedi-vim plugin"
- git clone git@github.com:siper92/jedi-vim.git "$ABS_PATH/.vim/bundle/jedi-vim"
+ git clone --recursive git@github.com:siper92/jedi-vim.git "$ABS_PATH/.vim/bundle/jedi-vim"
fi | bash |
d_bash_4360 | ---
+++
@@ -3,10 +3,14 @@
set -e
set -x
+cat >> ~/.aws/credentials <<EOF
+[default]
+aws_access_key_id = ${AWS_SERCRET_ACCESS_KEY}
+aws_secret_access_key = ${AWS_SERCRET_ACCESS_KEY}
+EOF
+
docker-machine create \
-d amazonec2 \
- --amazonec2-access-key ${AWS_ACCESS_KEY_ID} \
- --amazonec2-secret-key $... | bash |
d_bash_4361 | ---
+++
@@ -1,10 +1,14 @@
#!/bin/bash
+set -e
shell='ssh root@java-deptools.fedorainfracloud.org'
-activator frontend/rpm:packageBin
+activator core/rpm:packageBin frontend/rpm:packageBin
+tar cj {core,frontend}/target/rpm/RPMS/noarch/java-deptools-*-0-1.noarch.rpm \
+ ./././././generate-repos.sh | \
$shell ... | bash |
d_bash_4362 | ---
+++
@@ -8,6 +8,10 @@
cd $SCRIPT_DIR
cd ..
+echo "Cloning submodules"
+git submodule init
+git submodule update
+
# Build the libraries w/o running unit tests.
./build.sh --notests
| bash |
d_bash_4363 | ---
+++
@@ -15,5 +15,5 @@
pip install -r requirements.txt
echo 'Running ansible'
-ansible-playbook -i ansible/inventory.local ansible/jenkins-up.yaml
-ansible-playbook -i ansible/inventory.remote --ssh-common-args '-o StrictHostKeyChecking=no' ansible/jenkins.yaml
+ansible-playbook -vv --diff -i ansible/inventory... | bash |
d_bash_4364 | ---
+++
@@ -28,4 +28,4 @@
ln -s $dir/$file ~/$file
done
-source ~/.bashrc
+# source ~/.bashrc | bash |
d_bash_4365 | ---
+++
@@ -18,3 +18,4 @@
git checkout -b gh-pages
git branch --set-upstream-to=origin/gh-pages
cd ../react-native/website
+ | bash |
d_bash_4366 | ---
+++
@@ -6,5 +6,6 @@
./common/scripts/bootstrap.sh
ansible-playbook --ask-become-pass -i envs/$DATACENTER/etc/ansible/ \
-e play_dir=$(pwd) \
+ -e lib_roles_path="$(pwd)/roles" \
-e datacenter=$DATACENTER $@ \
install.yml | bash |
d_bash_4367 | ---
+++
@@ -4,7 +4,13 @@
&& source "utils.sh"
declare -a DIRECTORIES=(
+ "$HOME/Development/code/bitbucket"
+ "$HOME/Development/code/github"
+ "$HOME/Development/code/playground"
+ "$HOME/Documents/ebook"
"$HOME/Downloads/torrents"
+ "$HOME/Videos/_to-organise"
+ "$HOME/Videos/_to-watc... | bash |
d_bash_4368 | ---
+++
@@ -17,3 +17,4 @@
read_distribution.py -i /tmp/$UUID.sortedByCoord.md.bam -r /ref/hg38_GENCODE_v23_basic.bed > $2/readDist.txt
Rscript --vanilla parseReadDist.R $2/readDist.txt
rm /tmp/$UUID.sortedByCoord.md.bam
+rm /tmp/$UUID.sortedByCoord.md.bam.bai | bash |
d_bash_4369 | ---
+++
@@ -6,6 +6,6 @@
fi
sudo apt-get install --assume-yes puppet git make
ssh-keyscan github.com >> ~/.ssh/known_hosts
-git clone git@github.com:istvan-antal/content-creator.git
+git clone https://github.com/istvan-antal/content-creator.git
cd content-creator
make | bash |
d_bash_4370 | ---
+++
@@ -1,6 +1,12 @@
#!/bin/sh
which runVimTests.sh >/dev/null 2>&1
+
+if [[ "x$1" == "xclean" ]]; then
+ rm tests/*.msgout
+ rm tests/*.msgresult
+ exit
+fi
if [[ $? -eq 0 ]]; then
runVimTests.sh --pure tests/ | bash |
d_bash_4371 | ---
+++
@@ -22,7 +22,7 @@
{% if verbose %} -v {% endif %} \
{% if plot %} --plot {% endif %} \
{% if occurences > 1 %} -n {{occurences}} {% endif %} \
- > {{outfile}}
+ --out {{outfile}}
{% if plot %}
zip plots.zip \ | bash |
d_bash_4372 | ---
+++
@@ -1,8 +1,16 @@
#!/bin/bash
-dest=/home/maven/repository-staging/to-ibiblio
-repocleanhome=$HOME/repository-tools/repoclean
+export dest=/home/maven/repository-staging/to-ibiblio
+export repocleanhome=$HOME/repository-tools/repoclean
+log=$repocleanhome/last-changes.log
$repocleanhome/repoclean.sh ~/co... | bash |
d_bash_4373 | ---
+++
@@ -7,14 +7,14 @@
if [[ ! `command -v curl` ]]; then
# Will it be installed?
- if [ ! -f /boot/extra/curl* ]; then
+ if [ ! -f '/boot/extra/curl*' ]; then
wget -qO- http://boxcar.nicinabox.com/install_curl | sh -
fi
fi
# Install python 2.6.6, if needed
if [[ ! `command -v python` ]]; then... | bash |
d_bash_4374 | ---
+++
@@ -8,8 +8,10 @@
sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"$(cat VERSION)\"/" lib/chef-dk/version.rb
-# Update the version inside Gemfile.lock
-bundle update chef-dk
+# There is a bug (https://github.com/bundler/bundler/issues/5644) that is preventing
+# us from updating the chef-dk gem via `bund... | bash |
d_bash_4375 | ---
+++
@@ -7,6 +7,7 @@
pushd matrix-js-sdk
yarn link
yarn install
+yarn build
popd
yarn link matrix-js-sdk | bash |
d_bash_4376 | ---
+++
@@ -1,4 +1,3 @@
#!/bin/sh
sbt assembly
-cp target/scala-2.11/workflow-assembly-0.1.jar ../docker-containers/hbp_federation/workflow/downloads/workflow.jar
-
+cp target/scala-2.11/workflow-assembly-0.1.jar ../docker-containers/mip_federation/workflow/downloads/workflow.jar | bash |
d_bash_4377 | ---
+++
@@ -3,22 +3,9 @@
brew update -v
brew install boost perl cpanminus wxwidgets
+brew link --overwrite perl cpanminus
export SLIC3R_STATIC=1
export BOOST_DIR=/usr/local
perl ./Build.PL
-
-# Only recompile Wx if it's not already there
-if [ ! -e ./local-lib/lib/perl5/darwin-thread-multi-2level/Wx.pm ]; th... | bash |
d_bash_4378 | ---
+++
@@ -6,10 +6,16 @@
# trigger OCSP server test in the runtests script
export CHECK_OCSP_SERVER="true"
-export OCSP_RESPONSE_FILE="$(mktemp mod_gnutls_test-XXXXXX.der)"
${srcdir}/runtests t-27
ret=${?}
-rm "${OCSP_RESPONSE_FILE}"
+echo "Checking if client actually got a stapled response."
+if grep -P "... | bash |
d_bash_4379 | ---
+++
@@ -5,7 +5,7 @@
PAGES_DIR=./gh-pages
DOCS_DIR=./out
REPO="https://${GH_TOKEN}@github.com/contentful/contentful.js.git"
-VERSION=`cat package.json|grep version|sed -e 's/.*version": "//g'|sed -e 's/",.*//g'`
+VERSION=`cat package.json|json version`
echo "Publishing docs"
| bash |
d_bash_4380 | ---
+++
@@ -13,4 +13,4 @@
mkdir -p artefacts
cd output
-tar -zcvf ../artefacts/service-explorer-$BUILD_ID.tgz .
+tar -zcvf ../artefacts/service-explorer.tgz . | bash |
d_bash_4381 | ---
+++
@@ -1,6 +1,6 @@
-#!/bin/sh
-PID=`ps auxwwwww|grep mux|grep -e $1 -ve muxclose|awk '{print $2}'`
-if [ $PID ]; then
+#!/bin/bash
+PID=`ps auxwwwww|grep mux|grep -ve muxclose -e grep|grep $1|awk '{print $2}'`
+if [[ $PID ]]; then
kill $PID
else
echo "no such mux session found" | bash |
d_bash_4382 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
/opt/envsubst < /envsubst_template.json > /conf/runtime.json
-exec java -Xms512m -Xmx3072m -jar /git-bridge.jar /conf/runtime.json
+exec java -XX:+UseContainerSupport -XX:MaxRAMPercentage=75.0 -jar /git-bridge.jar /conf/runtime.json | bash |
d_bash_4383 | ---
+++
@@ -16,6 +16,7 @@
bash-completion
build-essential
checkinstall
+ cifs-utils
dialog
emacs-nox
etckeeper | bash |
d_bash_4384 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash -e
sudo update-java-alternatives -s java-9-oracle
-#export JAVA_HOME=/usr/lib/jvm/java-9-oracle
+export JAVA_HOME=/usr/lib/jvm/java-9-oracle | bash |
d_bash_4385 | ---
+++
@@ -41,5 +41,5 @@
# Indent each line of stdin.
# example: <command> | indent
function indent() {
- sed 's/^/ /'
+ sed -u 's/^/ /'
} | bash |
d_bash_4386 | ---
+++
@@ -7,7 +7,7 @@
init_vars
-module load gcc
+module load GCC
pushd ${OPT_DIR}
@@ -26,8 +26,6 @@
DESC="sph2pipe"
HELP="sph2pipe ${VERSION}"
-EXTRA_LINES="module load prgenv"
-
write_module
popd | bash |
d_bash_4387 | ---
+++
@@ -4,6 +4,7 @@
drush en -y logintoboggan
drush dl -y libraries
drush en -y libraries
+drush en -y trigger
# Dowload the following contrib modules
drush dl -y oauth | bash |
d_bash_4388 | ---
+++
@@ -5,7 +5,7 @@
alias la="ls -lha"
alias c="clear"
alias x="exit"
-alias df="gdf -h"
+alias df="gdf -H"
alias grep="grep --color"
# Clean up "Open with…" menu | bash |
d_bash_4389 | ---
+++
@@ -4,7 +4,7 @@
# when we call dotnet cli for restore and build, in order to speed up
dotnet restore ../runtime/CSharp/runtime/CSharp/Antlr4.Runtime/Antlr4.Runtime.dotnet.csproj
-dotnet build -c Release ../runtime/CSharp/runtime/CSharp/Antlr4.Runtime/Antlr4.Runtime.dotnet.csproj
+dotnet build -c Release -... | bash |
d_bash_4390 | ---
+++
@@ -2,10 +2,9 @@
set -e
-( ./list_ips.sh ) >> ./ips.temp
-
while true
do
- ( (cat ./ips.temp; ./list_ips.sh) | cat | sort | uniq ) > ./ips.temp
- sleep 600
+ ( (cat ./inbound_ips; ./list_ips.sh) | cat | sort | uniq ) > ./inbound_ips.temp 2>/dev/null
+ mv ./inbound_ips.temp ./inbound_ips
+ sleep 30
... | bash |
d_bash_4391 | ---
+++
@@ -2,12 +2,9 @@
VERSION_CHANGE_TRIGGERS="setup.py MANIFEST.in openfisca_country_template"
-if [[ "$CIRCLE_BRANCH" == "master" ]]
-then LAST_MASTER_VERSION="HEAD^"
-else LAST_MASTER_VERSION="origin/master"
-fi
+last_tagged_commit=`git describe --tags --abbrev=0 --first-parent` # --first-parent ensures w... | bash |
d_bash_4392 | ---
+++
@@ -7,8 +7,10 @@
readonly name="dill"
readonly ownership="dill Upstream <robot@adios2>"
readonly subtree="thirdparty/dill/dill"
-readonly repo="https://github.com/GTkorvo/dill.git"
-readonly tag="master"
+#readonly repo="https://github.com/GTkorvo/dill.git"
+#readonly tag="master"
+readonly repo="https://g... | bash |
d_bash_4393 | ---
+++
@@ -1,15 +1,19 @@
#!/bin/sh
yum install -y nc zip unzip chrpath
-
-sudo yum install -y centos-release-scl
-sudo yum install -y devtoolset-8-toolchain
-source /opt/rh/devtoolset-8/enable
# if the proxy is around, use it
nc -z -w3 192.168.1.1 8123 && export http_proxy="http://192.168.1.1:8123"
mkdir -... | bash |
d_bash_4394 | ---
+++
@@ -1,7 +1,16 @@
#!/bin/bash
-# prompt themeing
-PROMPT="(\t) \$(prompt_char) [\[$blue\]\u\[$normal_color\]@\[$green\]\h\[$reset_color\]] \[$yellow\]\w\[$reset_color\]\$(git_prompt_info)\$(rvm_version_prompt) \$\[$reset_color\] "
+prompt_setter() {
+ # Save history
+ history -a
+ history -c
+ history -... | bash |
d_bash_4395 | ---
+++
@@ -15,6 +15,8 @@
# limitations under the License.
set -e
+
+INITIAL_COPYRIGHT_YEAR=2013
VENDOR=lge
DEVICE=hammerhead | bash |
d_bash_4396 | ---
+++
@@ -5,6 +5,7 @@
# local one.
curl \
+ --ssl-reqd \
--time-cond $HOME/.emacs.d/cacert.pem \
https://curl.haxx.se/ca/cacert.pem \
--output $HOME/.emacs.d/cacert.pem | bash |
d_bash_4397 | ---
+++
@@ -4,6 +4,11 @@
# Authors:
# Sorin Ionescu <sorin.ionescu@gmail.com>
#
+
+# This module is for Mac OS X only.
+if [[ "$OSTYPE" != darwin* ]]; then
+ return 1
+fi
# Change directory to the current Finder directory.
alias cdf='cd "$(pfd)"' | bash |
d_bash_4398 | ---
+++
@@ -21,4 +21,4 @@
cp $HOSTING_HOME_DIR/wm.wontomedia.rb config/initializers/wontomedia.rb
sed --in-place=.backup -e "$GEMPATH_SED_COMMAND" config/environment.rb
-RAILS_ENV=production rake customize[default-custom]
+RAILS_ENV=production rake customize[default-custom:~/wontology.org] | bash |
d_bash_4399 | ---
+++
@@ -4,9 +4,9 @@
HERE=`pwd`
ZOO_BASE_DIR="$HERE/zookeeper"
-ZOOKEEPER_VERSION=${ZOOKEEPER_VERSION:-3.4.7}
+ZOOKEEPER_VERSION=${ZOOKEEPER_VERSION:-3.4.6}
ZOOKEEPER_PATH="$ZOO_BASE_DIR/$ZOOKEEPER_VERSION"
-ZOO_MIRROR_URL="http://apache.osuosl.org/"
+ZOO_MIRROR_URL="http://archive.apache.org/dist"
funct... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.